Page MenuHomePhabricator

Implement third phase of map event logging
Closed, ResolvedPublic

Description

Based on T144239 and https://meta.wikimedia.org/wiki/Schema:Kartographer,

1/ FIRST PHASE
See T149140 (first phase).

2/ SECOND PHASE
See T149834 (second phase)

3/ THIRD PHASE
Same as in the first and second phases, the third phase puts:

  • 1:100 (1%) of users in the test group.
  • 99% of users are not being tested.

Amongst this test group, the second phase triggers these events:
( events previously triggered, events added in this phase)

typeper-event samplingdescriptionoptional durationoptional extra
view1:100user views this feature without explicit interaction to startnoroute(string)
open1:1user opens this featurenoroute(string)
hashopen1:1user was lead to a URL with map hash, resulting in a fullscreen map being displayednoroute(string)
close1:1end of feature usageyesroute(string)
sidebar-show1:1show sidebar in full screennoroute(string)
sidebar-hide1:1hide sidebar in full screennoroute(string)
sidebar-click1:1click on one of the ext service in the infoboxnoroute(string), service(string), type(string)
sidebar-type1:1switch shown infobox types to a different onenoroute(string), type(string)
drag1:100user dragged the map aroundnoroute(string)
zoom1:100user changed zoomnoroute(string)
marker-click1:1user clicked/tapped on a marker on mapnoroute(string)
map-click1:100user clicked/tapped on mapnoroute(string)
discovery1:1user goes to another page thanks to this featurenoroute(string), destination (enum: internal/interwiki/external)
activate1:1for mapframe's static snapshot, user clicked to interact with the mapnoroute(string)
wv-warn1:1external data viewing warning is shownnoroute(string)
wv-warn-agree1:1external data viewing was acceptednoroute(string)
wv-warn-reject1:1external data viewing was rejectednoroute(string)
wv-select-wmflayer1:1switched to wmflayernoroute(string)
wv-select-exlayer1:1switched to non-wmf layer (after warning)noroute(string)
wv-show-layer1:1a wmf layer was enablednoroute(string)
wv-hide-layer1:1a wmf layer was hiddennoroute(string)
wv-show-exlayer1:1an external layer was enablednoroute(string)
wv-hide-exlayer1:1an external layer was hiddennoroute(string)
wv-show-nearby1:1nearby markers button was pushed (enabled)noroute(string)
wv-hide-nearby1:1nearby markers button was pushed (disabled)"noroute(string)

Events who still not triggered yet:

  • shape-click: user clicked/tapped on a geoshape overlay

Event Timeline

JGirault created this task.Nov 29 2016, 8:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 8:03 PM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Nov 30 2016, 7:20 PM

Change 324843 had a related patch set uploaded (by JGirault):
Implement third phase of event logging (Wikivoyage specific)

https://gerrit.wikimedia.org/r/324843

Change 324843 merged by jenkins-bot:
Implement third phase of event logging (Wikivoyage specific)

https://gerrit.wikimedia.org/r/324843

JGirault moved this task from Needs review to Done on the Maps-Sprint board.Dec 15 2016, 12:06 AM

Change 327409 had a related patch set uploaded (by Yurik):
Implement third phase of event logging (Wikivoyage specific)

https://gerrit.wikimedia.org/r/327409

Change 327409 merged by jenkins-bot:
Implement third phase of event logging (Wikivoyage specific)

https://gerrit.wikimedia.org/r/327409

debt moved this task from Needs triage to Tracking on the Discovery-Analysis board.Jan 3 2017, 9:54 PM
JGirault closed this task as Resolved.Apr 17 2017, 7:53 PM

This phase seems to be done